Subject: bug#67204: 29.1; request: always echo EMOJI name while emoji-list

From: Daniel Martín <[email-masked]>
Date: Fri, 29 Dec 2023 18:08:13 +0100

Eli Zaretskii <[email-masked]> writes:

>> 
>> M-<
>> C-s People > activity
>> 
>> If I move the point over that section of emojis one by one with C-f, I
>> get:
>> 
>> person getting massage
>> person getting haircut
>> person walking
>> person walking facing right
>> person walking facing right (this is wrong, it should be "person standing").
>
> I cannot reproduce this.  I get:
>
>   person getting massage
>   person getting haircut
>   person walking
>   person running
>   people with bunny ears
>   woman dancing
>
> So I guess the emoji I see are different from what you see.  However,
> since the OP is on MS-Windows, I'd expect him to see what I see, not
> what you see.

The list is different, it seems.  I can reproduce the problem if I move
the point to the emoji that is next to this one:

             position: 988 of 4826 (20%), column: 6
            character: 🚶 (displayed as 🚶) (codepoint 128694, #o373266, #x1f6b6)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0x1F6B6
               script: emoji
               syntax: w 	which means: word
             category: .:Base
             to input: type "C-x 8 RET 1f6b6" or "C-x 8 RET PEDESTRIAN"
          buffer code: #xF0 #x9F #x9A #xB6
            file code: #xF0 #x9F #x9A #xB6 (encoded by coding system utf-8-unix)
              display: composed to form "🚶‍➡️" (see below)
     composition name: person walking facing right

Composed with the following character(s) "‍➡️" using this font:
  mac-ct:-*-Apple Color Emoji-regular-normal-normal-*-24-*-*-*-p-0-iso10646-1
by these glyphs:
  [0 3 128694 2323 25 -1 25 22 3 nil]
  [0 3 10145 319 25 -1 25 22 3 nil]
with these character(s):
  ‍ (#x200d) ZERO WIDTH JOINER
  ➡ (#x27a1) BLACK RIGHTWARDS ARROW
  ️ (#xfe0f) VARIATION SELECTOR-16

Character code properties: customize what to show
  name: PEDESTRIAN
  general-category: So (Symbol, Other)
  decomposition: (128694) ('🚶')

There are text properties here:
  emoji-glyph          "🚶‍➡️"
  face                 emoji-with-derivations
  help-echo            "person walking facing right"

You can also try other composed emojis, like those under 'Flags >
country-flag'.  The first flag shows "flag: Ascension Island".  If I
C-b, I see "flag: Ascension Island", which is incorrect.  If I press "h"
(or move the mouse cursor over the second flag), I see "flag: Andorra",
which is the correct result.